Summary:	Automatically log in
Name:		autologin
Version:	1.0.0
Release:	%mkrel 39
Group:		System/Base
License:	GPLv2
URL:		http://www.linux-easy.com/development/autologin/
Source0:	%{name}-%{version}.tar.bz2
Source1:	startx.autologin
Patch0:		autologin-1.0.0-mga.patch
Patch1:		autologin-glibc28_fix.diff
Patch2:		autologin-1.0.0-tty1.patch
BuildRequires:	pam-devel 
BuildRequires:	automake 
BuildRequires:	autoconf 
Requires:	initscripts 

%description
Autologin automatically logs in as the user specified in
/etc/sysconfig/autologin and starts the X session defined there.

Install autologin if you want to bypass the login screen.

%prep
%setup -q

%patch0 -p1 -b .fred
%patch1 -p0 -b .glibc28_fix
%patch2 -p1 -b .tty

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
#FORCE_AUTOCONF_2_5=1 AUTOMAKE="automake --add-missing" autoreconf
autoreconf -fiv
%configure
%make

%install
%make_install

install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/startx.autologin

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
cat > %{buildroot}%{_sysconfdir}/sysconfig/autologin <<EOF
# uncomment and set the user 
#USER=
#
# uncomment if you want to run something else than startx
#EXEC=
#
# uncomment to enable autologin, after setting USER
#AUTOLOGIN=yes
EOF

#rename README to show it at install time
mv README  README.urpmi


%files
%doc README.urpmi AUTHORS
%{_sbindir}/autologin
%{_bindir}/startx.autologin
%config(noreplace) /etc/pam.d/autologin
%config(noreplace) %{_sysconfdir}/sysconfig/autologin



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-39.mga8
+ Revision: 1510480
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-38.mga7
+ Revision: 1295172
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.0.0-37.mga6
+ Revision: 929860
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-36.mga5
+ Revision: 746168
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-35.mga5
+ Revision: 678063
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-34.mga4
+ Revision: 502976
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.0-33.mga3
+ Revision: 346671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 1.0.0-32.mga3
+ Revision: 336508
- fix build with new automake 1.13

* Fri Apr 06 2012 colin <colin> 1.0.0-31.mga2
+ Revision: 229141
- Fix permissions with autologin + logind (mga#3821)

* Fri Nov 04 2011 zezinho <zezinho> 1.0.0-30.mga2
+ Revision: 162730
- rename README to show it at install time

* Fri Oct 21 2011 zezinho <zezinho> 1.0.0-29.mga2
+ Revision: 157214
- change patch to allow normal user rights (#3087)
+ misc <misc>
- fix License
- add a default config file to the package

* Wed Mar 09 2011 ennael <ennael> 1.0.0-28.mga1
+ Revision: 66863
- clean spec file
- imported package autologin


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-28mdv2011.0
+ Revision: 603483
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-27mdv2010.1
+ Revision: 520012
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-26mdv2010.0
+ Revision: 413147
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - use configure2_5x

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.0-25mdv2009.1
+ Revision: 350613
- use autoreconf to fix x86_64 build

  + Antoine Ginies <aginies@mandriva.com>
    - 2009.1 rebuild

* Thu Sep 11 2008 Pixel <pixel@mandriva.com> 1.0.0-24mdv2009.0
+ Revision: 283812
- fix keyboard not working (#39549)

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-23mdv2009.0
+ Revision: 230703
- added P1 to make it build (misc)
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-20mdv2008.0
+ Revision: 41172
- try again. let's just conflict with autoconf2.1.
- bump for BS
- try to fix autotools failure
- BuildRequires autoconf; simplify autotools calls; bunzip2 and rename patch; rebuild for 2008
- Import autologin



* Thu Aug 17 2006 Olivier Blin <blino@mandriva.com> 1.0.0-16mdv2007.0
- fix doc to specify that AUTOLOGIN defaults to "no" (#20925)

* Mon Aug 14 2006 Pixel <pixel@mandriva.com> 1.0.0-15mdv2007.0
- move startx.autologin from /usr/X11R6/bin to /usr/bin
- modify startx.autologin to call /usr/bin/startx

* Sun May 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-14mdk
- %%mkrel
- remark to maintainer: URL is not correct

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-13mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.0-12mdk
- Rebuild

* Mon May 30 2005 Frederic Lepied <flepied@mandriva.com> 1.0.0-11mdk
- fix build

* Wed Jan 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-10mdk
- fix buildrequires
- cosmetics

* Tue Sep 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-9mdk
- fixed build problem

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-8mdk
- rebuild for rewriting /etc/pam.d file

* Fri Mar  7 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-7mdk
- launch startx.autologin instead of startx

* Tue Apr  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-6mdk
- prefix all error messages by "autologin " for better spotting (Sitsofe Wheeler).

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-5mdk
- use pam_stack in pam file.

* Tue Feb  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-4mdk
- don't report an error if the user is not set, just exit properly.

* Wed Oct  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-3mdk
- set path to /usr/X11R6/bin:/usr/local/bin:/bin:/usr/bin (close bug #558).

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-2mdk
- kill the child when autologin receive SIGTERM to work nicely with init.
- corrected the init of groups.
- log output to /var/log/autologin.log.

* Fri Aug 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-1mdk
- first Mandrake rpm

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial public RPM
